#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdwarf
Version		:	0.10.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Library to access the DWARF Debugging file format 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-2.1-only AND BSD-2-Clause-FreeBSD
URL		:	https://www.prevanders.net/dwarf.html

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-both.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	meson
BuildRequires	:	python3

#-----------------------------------------------------------------------------
%description
Library to access the DWARF debugging file
 format which supports source level debugging
of a number of procedural languages, such as
C, C++, and Fortran.
Please see http://www.dwarfstd.org for DWARF specification.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc src/lib/libdwarf/ChangeLog
%doc src/lib/libdwarf/README
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.%{version}

#=============================================================================
%package		devel
Summary		:	Library and header files of libdwarf

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development package containing library and
header files of libdwarf.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc doc/*.pdf
%{_includedir}/%{name}-0/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		tools
Summary		:	Tools for accessing DWARF debugging information

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
C++ version of dwarfdump (dwarfdump2) command-line
utilities to access DWARF debug information.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%license src/bin/dwarfdump/COPYING
%license src/bin/dwarfdump/DWARFDUMPCOPYRIGHT
%license src/bin/dwarfdump/GPL.txt
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf
%{_mandir}/man1/dwarfdump.1.gz

#=============================================================================
%package		static
Summary		:	Static libdwarf library

Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		static
Static libdwarf library.

#-----------------------------------------------------------------------------
%files			static
%defattr(-,root,root,-)
%{_libdir}/%{name}.a

#=============================================================================
%prep
%setup -q
%patch -P0 -p 1

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--default-library=both				\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
	-C _bld						\
	--destdir=%{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
